petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexStratifyMigrationSF

Add partition overlap to a distributed non-overlapping DM.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexStratifyMigrationSF(DM dm, PetscSF sf, PetscSF *migrationSF)

### Input Parameter

| dm | - The DM
| sf | - A star forest with non-ordered leaves, usually defining a DM point migration

### Output Parameter

migrationSF -A star forest with added leaf indirection that ensures the resulting DM is stratified

### See Also

DMPlexPartitionLabelCreateSF(), DMPlexDistribute(), DMPlexDistributeOverlap()

Level:developer
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages